# Changelog
All notable changes to coccinelle will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).

## [Unreleased]
### Added

## [1.0.0] - 2020-12-09
### Changed
- adhère à "Semantic Versionning"
- adhère à "Keep a Changelog"

## [0.7.3]
### Security
- mise a jour vers django 1.11 et vers python 3

### Fixed
- mise a jour du systeme de deploiement
- strip les espaces dans les champs textes

## [0.7.0]
### Added
- synchro avec les listes sympa

## [0.6.1]
### Changed
- Nom de famille en majuscule pour les personnes physiques

## [0.6.0]
### Changed
- changement système de numerotation de version

## [v0.50]
### Added
- aide contextuelle (squelette)

## [v0.49]
### Added
- unicite sur les etiquettes par validation intermediaire (relation p.physique/structure)
- unicite sur les envois de courriel (personne physique, structure et affectation

## [v0.48]
### Changed
- liste du panier dans l'affichage general

## [v0.47] - 08 janvier 2013
### Fixed
- autocompletion fonctionnelle dans les Structures

## [v0.46] - 30 novembre 2012
### Changed
- export csv / envoi courriel / publipostage: tri alpha sur le nom

### Added
- fonction d'export csv: "totale" dans info detaillées et limité dans personne physique
- structure: ajout filtre progCerdd (relatif a la personne physique)

### Fixed
- structure et detail pers.: correction etiquettes pdf

## [v0.44] - 5 novembre 2012
### Changed
- structure: contrainte d'unicite sur nom et commune

## [v0.43] - 31 octobre 2012
### Added
- export CSV info detaillées

## [v0.42] - 21 septembre 2012
### Changed
- contraintes d'unicite sur: personne physiques, structures et info detailles

## [v0.41] - 21 septembre 2012
### Changed
- Modif en masse (info detaillees): ajout champs "structure"
- modif critere de recherche(personne physique, info detaillees, structure: (nom,prenom,courriel)
- liste personne physique: remplacement "homonymie" par liste des structures affiliees

### Fixed
- Correct. Export CSV,

## [v0.40] - 19 septembre 2012
### Added
- impression etiquettes
- export csv
- habillage pour l'envoi de courriel

## [v0.32] - 19 septembre 2012
### Changed
- modification presentation code postal / cedex

## [v0.31] - 17 aout 2012
### Added
- affichage tags, commentaires
### Fixed
- correction bug "modif en masse"

## [v0.30] - 16 aout 2012
### Added
- Ajout fonction "modification en masse"

## [v0.20] - 2 aout 2012
### Changed
- Derniere modif structure BDD + importation a jour

## [v0.12] - 21 juin 2012
### Added
- Champs en autocompletion

## [v0.10]
### Changed
- importation en masse de donnée

## [vbeta]
### Added
- structure finale de la base de donnée
