import pytest

from coccinelle.contacts.admin_act_csv import get_verbosename
from coccinelle.contacts.models import Structure


@pytest.mark.parametrize(
    'fname, vname',
    [
        ('code_p', 'Code Postal'),
        ('code_p_eff', 'Code postal'),
        ('yolo', 'yolo'),
    ],
)
def test_get_verbose_name(fname, vname):
    assert get_verbosename(Structure, fname) == vname
