import pytest

from coccinelle.context_processors import help_url


@pytest.mark.parametrize('url', ('/', '/admin/contacts/'))
def test_help_url(rf, url):
    request = rf.get(url)
    ctx = help_url(request)
    assert 'APP_VERSION' in ctx
    assert 'HELP_BALLOON' in ctx
    assert 'CSTATIC_URL' in ctx
    assert 'HELP_URL' in ctx
