# -*- coding: utf-8 -*-
from django.db import models

# Create your models here.

CHOIX_DEPARTEMENTS = (
    ('62', '62 Pas-de-Calais (31 Nord-Pas-de-Calais)'),
    ('59', '59 Nord (31 Nord-Pas-de-Calais)'),
    ('1', "01 Ain (82 Rhône-Alpes)"),
    ('2', "02 Aisne (22 Picardie)"),
    ('3', "03 Allier (83 Auvergne)"),
    ('4', "04 Alpes-de-Haute-Provence (93 Provence-Alpes-Côte-d'Azur)"),
    ('5', "05 Hautes-Alpes (93 Provence-Alpes-Côte-d'Azur)"),
    ('6', "06 Alpes-Maritimes (93 Provence-Alpes-Côte-d'Azur)"),
    ('7', "07 Ardèche (82 Rhône-Alpes)"),
    ('8', "08 Ardennes (21 Champagne-Ardenne)"),
    ('9', "09 Ariège (73 Midi-Pyrénées)"),
    ('10', "10 Aube (21 Champagne-Ardenne)"),
    ('11', "11 Aude (91 Languedoc-Roussillon)"),
    ('12', "12 Aveyron (73 Midi-Pyrénées)"),
    ('13', "13 Bouches-du-Rhône (93 Provence-Alpes-Côte-d'Azur)"),
    ('14', "14 Calvados (25 Basse-Normandie)"),
    ('15', "15 Cantal (83 Auvergne)"),
    ('16', "16 Charente (54 Poitou-Charentes)"),
    ('17', "17 Charente-Maritime (54 Poitou-Charentes)"),
    ('18', "18 Cher (24 Centre)"),
    ('19', "19 Corrèze (74 Limousin)"),
    ('20', "20 Corse (94 Corse)"),
    ('2A', "2A Corse-du-Sud (94 Corse)"),
    ('2B', "2B Haute-Corse (94 Corse)"),
    ('21', "21 Côte-d'Or (26 Bourgogne)"),
    ('22', "22 Côtes-d'Armor (53 Bretagne)"),
    ('23', "23 Creuse (74 Limousin)"),
    ('24', "24 Dordogne (72 Aquitaine)"),
    ('25', "25 Doubs (43 Franche-Compté)"),
    ('26', "26 Drôme (82 Rhône-Alpes)"),
    ('27', "27 Eure (23 Haute-Normandie)"),
    ('28', "28 Eure-et-Loir (24 Centre)"),
    ('29', "29 Finistère (53 Bretagne)"),
    ('30', "30 Gard (91 Languedoc-Roussillon)"),
    ('31', "31 Haute-Garonne (73 Midi-Pyrénées)"),
    ('32', "32 Gers (73 Midi-Pyrénées)"),
    ('33', "33 Gironde (72 Aquitaine)"),
    ('34', "34 Hérault (91 Languedoc-Roussillon)"),
    ('35', "35 Ille-et-Vilaine (53 Bretagne)"),
    ('36', "36 Indre (24 Centre)"),
    ('37', "37 Indre-et-Loire (24 Centre)"),
    ('38', "38 Isère (82 Rhône-Alpes)"),
    ('39', "39 Jura (43 Franche-Compté)"),
    ('40', "40 Landes (72 Aquitaine)"),
    ('41', "41 Loir-et-Cher (24 Centre)"),
    ('42', "42 Loire (82 Rhône-Alpes)"),
    ('43', "43 Haute-Loire (83 Auvergne)"),
    ('44', "44 Loire-Atlantique (52 Pays-de-la-Loire)"),
    ('45', "45 Loiret (24 Centre)"),
    ('46', "46 Lot (73 Midi-Pyrénées)"),
    ('47', "47 Lot-et-Garonne (72 Aquitaine)"),
    ('48', "48 Lozère (91 Languedoc-Roussillon)"),
    ('49', "49 Maine-et-Loire (52 Pays-de-la-Loire)"),
    ('50', "50 Manche (25 Basse-Normandie)"),
    ('51', "51 Marne (21 Champagne-Ardenne)"),
    ('52', "52 Haute-Marne (21 Champagne-Ardenne)"),
    ('53', "53 Mayenne (52 Pays-de-la-Loire)"),
    ('54', "54 Meurthe-et-Moselle (41 Lorraine)"),
    ('55', "55 Meuse (41 Lorraine)"),
    ('56', "56 Morbihan (53 Bretagne)"),
    ('57', "57 Moselle (41 Lorraine)"),
    ('58', "58 Nièvre (26 Bourgogne)"),
    ('60', "60 Oise (22 Picardie)"),
    ('61', "61 Orne (25 Basse-Normandie)"),
    ('63', "63 Puy-de-Dôme (83 Auvergne)"),
    ('64', "64 Pyrénées-Atlantiques (72 Aquitaine)"),
    ('65', "65 Hautes-Pyrénées (73 Midi-Pyrénées)"),
    ('66', "66 Pyrénées-Orientales (91 Languedoc-Roussillon)"),
    ('67', "67 Bas-Rhin (42 Alsace)"),
    ('68', "68 Haut-Rhin (42 Alsace)"),
    ('69', "69 Rhône (82 Rhône-Alpes)"),
    ('70', "70 Haute-Saône (43 Franche-Compté)"),
    ('71', "71 Saône-et-Loire (26 Bourgogne)"),
    ('72', "72 Sarthe (52 Pays-de-la-Loire)"),
    ('73', "73 Savoie (82 Rhône-Alpes)"),
    ('74', "74 Haute-Savoie (82 Rhône-Alpes)"),
    ('75', "75 Paris (11 Île-de-France)"),
    ('76', "76 Seine-Maritime (23 Haute-Normandie)"),
    ('77', "77 Seine-et-Marne (11 Île-de-France)"),
    ('78', "78 Yvelines (11 Île-de-France)"),
    ('79', "79 Deux-Sèvres (54 Poitou-Charentes)"),
    ('80', "80 Somme (22 Picardie)"),
    ('81', "81 Tarn (73 Midi-Pyrénées)"),
    ('82', "82 Tarn-et-Garonne (73 Midi-Pyrénées)"),
    ('83', "83 Var (93 Provence-Alpes-Côte-d'Azur)"),
    ('84', "84 Vaucluse (93 Provence-Alpes-Côte-d'Azur)"),
    ('85', "85 Vendée (52 Pays-de-la-Loire)"),
    ('86', "86 Vienne (54 Poitou-Charentes)"),
    ('87', "87 Haute-Vienne (74 Limousin)"),
    ('88', "88 Vosges (41 Lorraine)"),
    ('89', "89 Yonne (26 Bourgogne)"),
    ('90', "90 Territoire de Belfort (43 Franche-Compté)"),
    ('91', "91 Essonne (11 Île-de-France)"),
    ('92', "92 Hauts-de-Seine (11 Île-de-France)"),
    ('93', "93 Seine-Saint-Denis (11 Île-de-France)"),
    ('94', "94 Val-de-Marne (11 Île-de-France)"),
    ('95', "95 Val-d'Oise (11 Île-de-France)"),
    ('971', "971 Guadeloupe (01 Guadeloupe)"),
    ('972', "972 Martinique (02 Martinique)"),
    ('973', "973 Guyane (03 Guyane)"),
    ('974', "974 La Réunion (04 La-Réunion)"),
    ('976', "976 Mayotte (05 Mayotte)"),
    ('000', "000 Étranger"),
)


class Arrondissement(models.Model):
    "subdivision des departements"
    nom = models.CharField(max_length=255)
    departement = models.CharField(max_length=255, choices=CHOIX_DEPARTEMENTS)
    description = models.CharField(
        max_length=100, verbose_name="Description", blank=True
    )

    def __str__(self):
        return self.nom


class Canton(models.Model):
    """
    En milieu urbain, une commune recouvre parfois plusieurs cantons alors
    qu'en milieu rural, un canton comprend plusieurs communes.
    """

    nom = models.CharField(max_length=100)
    arrondissement = models.ForeignKey(
        Arrondissement, blank=True, null=True, on_delete=models.PROTECT
    )

    def __str__(self):
        return self.nom


class Pays(models.Model):
    class Meta:
        verbose_name = "Pays"
        verbose_name_plural = "Pays"

    nom = models.CharField(max_length=100, verbose_name="Pays")
    description = models.CharField(
        max_length=100, verbose_name="Description", blank=True
    )

    def __str__(self):
        return "%s" % (self.nom)


class Territoire(models.Model):
    class Meta:
        verbose_name = "Territoire"

    nom = models.CharField(max_length=100, verbose_name="Territoire")
    description = models.CharField(
        max_length=100, verbose_name="Description", blank=True
    )

    def __str__(self):
        return "%s" % (self.nom)


class Agglo(models.Model):
    class Meta:
        verbose_name = "Intercommunalité"
        ordering = ('nom',)

    nom = models.CharField(max_length=100, verbose_name="Intercommunalité")
    description = models.CharField(
        max_length=100, verbose_name="Description", blank=True
    )

    def __str__(self):
        return "%s" % (self.nom)


class PNR(models.Model):
    class Meta:
        verbose_name = "Parc Naturel Régional"
        verbose_name_plural = "Parcs Naturels Régionaux"
        ordering = ('nom',)

    nom = models.CharField(max_length=100, verbose_name="P.N.R.")
    description = models.CharField(
        max_length=100, verbose_name="Description", blank=True
    )

    def __str__(self):
        return "%s" % (self.nom)


class Tag(models.Model):
    class Meta:
        verbose_name = "Étiquette"

    nom = models.CharField(max_length=20, verbose_name="Étiquette(s)")
    description = models.CharField(
        max_length=100, verbose_name="Description", blank=True
    )

    def __str__(self):
        return "%s" % (self.nom)


class Commune(models.Model):
    """
    Classe désignant une commune, dept redonde l'information qui peut
    être trouvée via canton->arrondissement->departement mais il est
    possible (probable) qu'une commune soit rentrée sans qu'on
    connaisse son canton et l'arrondissement dont lui même dépend.
    """

    class Meta:
        verbose_name = "Commune"
        unique_together = ('nom', 'postal')

    nom = models.CharField(max_length=100, verbose_name="Commune")
    insee = models.CharField(
        max_length=15, verbose_name="Code Insee", blank=True
    )
    postal = models.CharField(
        max_length=15, verbose_name="Code Postal", blank=True
    )
    departement = models.CharField(
        max_length=255, choices=CHOIX_DEPARTEMENTS, blank=True
    )
    canton = models.ManyToManyField(Canton, verbose_name="Canton", blank=True)
    agglo = models.ForeignKey(
        Agglo,
        verbose_name="Intercommunalité",
        help_text="Communauté de commune, agglomération, etc.",
        null=True,
        blank=True,
        on_delete=models.PROTECT,
    )
    pays = models.ForeignKey(
        Pays,
        verbose_name="Pays",
        help_text="pays territorial",
        null=True,
        blank=True,
        on_delete=models.PROTECT,
    )
    territoire = models.ForeignKey(
        Territoire,
        verbose_name="Territoire",
        null=True,
        blank=True,
        on_delete=models.PROTECT,
    )
    pnr = models.ForeignKey(
        PNR,
        verbose_name="P.N.R.",
        help_text="Parc naturel régional",
        null=True,
        blank=True,
        on_delete=models.PROTECT,
    )
    tag = models.ManyToManyField(Tag, verbose_name="Étiquettes", blank=True)

    def clean(self):
        # cas de la Corse
        challenge = self.postal[-5:-3].upper()
        if challenge in ['2A', '2B']:
            self.departement = challenge
        else:
            try:
                challenge = int(self.postal)
            except ValueError:
                self.departement = ""
            else:
                div = 100 if challenge >= 97000 else 1000
                self.departement = str(challenge // div)

    def __str__(self):
        return "%s (%s)" % (self.nom, self.postal)
