from coccinelle.references.models import (
    CerddCentral,
    CerddProgramme,
    Statut,
    StatutPerso,
    Tag,
)


def test_str_tag():
    tag1 = Tag(nom="tag1")
    assert str(tag1) == "tag1"


def test_str_statut():
    statut1 = Statut(nom="statut1")
    assert str(statut1) == "statut1"


def test_str_statut_perso():
    statut_perso1 = StatutPerso(nom="statutperso1")
    assert str(statut_perso1) == "statutperso1"


def test_str_cerdd_central():
    cerddcentral1 = CerddCentral(nom="cerddcentral1")
    assert str(cerddcentral1) == "cerddcentral1"


def test_str_cerdd_programme():
    cerddprog1 = CerddProgramme(nom="cerddprog1")
    assert str(cerddprog1) == "cerddprog1"
